Ga naar inhoud
  • 0

OpenGL op kerel 2.6.xx met Radeon 9600XT


anoniem

Vraag

Leuk Debian (unstable) geinstalleerd en alles aan de gang, maar alleen die rotmodule van Ati wil niet echt lukken Driver installeren gaat perfect, alleen die kernel module wil niet. Heb keurig de readme van ati gevolgd maar dan krijg ik dus het volgende resultaat [code:1:9f8ce1631f] ATI module generator V 2.0 ========================== initializing... Error: XFree86 drm includes at /lib/modules/2.6.2-1-386/build/include/../drivers/char/drm do not fit this driver. This driver is designed to only work with X4.1.0 or higher. You can match this by getting Linux kernel 2.4.8 or higher. [/code:1:9f8ce1631f] Heb kernel 2.6.2 en uiteraard ook de kernel sources geinstalleerd. Mijn xfree86 versie is 4.3. Heb het hele internet al afgezocht, maar tot op heden nog steeds geen oplossing Iemand die me een duwtje in de goede richting kan geven? Ik ben vast niet de enige hier met een radeon + kernel 2.6.xx
Link naar reactie

9 antwoorden op deze vraag

Aanbevolen berichten

  • 0
[quote:4f509deae7="InZane"]Iemand die me een duwtje in de goede richting kan geven? Ik ben vast niet de enige hier met een radeon + kernel 2.6.xx[/quote:4f509deae7] Hmm, een klein duwtje dan. Of die in de goede richting is weet ik niet. Ik heb zelf met kernel 2.6.0 test11 een ati driver fglrx-glc22-4.3.0-3.2.8.i586.rpm getest in Slackware 9.1. Ik had andere problemen dan jij, maar wellicht staat er toch nog iets bruikbaars in die topic. http://forum.computertotaal.nl/phpBB2/viewtopic.php?t=101719&highlight=kernel Ik ben overigens er nog niet aan toegekomen om ook de nieuwste ati driver fglrx-glc22-4.3.0-3.7.0.i386.rpm te testen met kernel 2.6.2 of kernel 2.6.3.
Link naar reactie
  • 0
[quote:1453cb64af="jolo"][quote:1453cb64af="InZane"]Iemand die me een duwtje in de goede richting kan geven? Ik ben vast niet de enige hier met een radeon + kernel 2.6.xx[/quote:1453cb64af] Hmm, een klein duwtje dan. Of die in de goede richting is weet ik niet. Ik heb zelf met kernel 2.6.0 test11 een ati driver fglrx-glc22-4.3.0-3.2.8.i586.rpm getest in Slackware 9.1. Ik had andere problemen dan jij, maar wellicht staat er toch nog iets bruikbaars in die topic. http://forum.computertotaal.nl/phpBB2/viewtopic.php?t=101719&highlight=kernel Ik ben overigens er nog niet aan toegekomen om ook de nieuwste ati driver fglrx-glc22-4.3.0-3.7.0.i386.rpm te testen met kernel 2.6.2 of kernel 2.6.3.[/quote:1453cb64af] Hm jij had dus het probleem dat je niet de juiste modules al had geladen? Die heb ik iig wel: agpgart en nvidia_agp (nforce2 chipset)
Link naar reactie
  • 0
[quote:66a6811858="jolo"]Zou je dan kunnen omschrijven hoe je tot Debian (unstable) + kernel 2.6.2 bent gekomen. Was die kernel upgrade via apt-get? Bijvoorbeeld [code:1:66a6811858] apt-get install kernel-image-2.6.2-1-386 [/code:1:66a6811858][/quote:66a6811858] Heb ik idd met apt binnengehaald en daar zit het probleem dus waarschijnlijk ook (versies). Toevallig net op een site Ati sources gevonden, dus ik ben nu vrolijk het een en ander aan het compileren. I'll keep you posted :)
Link naar reactie
  • 0
Ik heb hier inmiddels de test voltooid, met de ati driver fglrx-glc22-4.3.0-3.7.0.i386.rpm en kernel 2.6.3 in Debian (unstable) = Knoppix 3.3 CD van 16-2-2004 geïnstalleerd op harddisk. Kernel 2.6.3 op Nederlandse mirror van www.kernel.org gedownload, en gecompileerd. Dan het volgende [code:1:ad51e58c7d] alien fglrx-glc22-4.3.0-3.7.0.i386.rpm [/code:1:ad51e58c7d] en [code:1:ad51e58c7d] dpkg -i --force-overwrite fglrx-glc22_4.3.0-4.7_i386.deb cd /lib/modules/fglrx/build_mod ./make.sh cd .. ./make_install.sh [/code:1:ad51e58c7d] Eerst kreeg ik nog een foutmelding [code:1:ad51e58c7d] FATAL: Error inserting fglrx (/lib/modules/2.6.3/kernel/drivers/char/drm/fglrx.ko): Operation is not permitted.[/code:1:ad51e58c7d] Deze foutmelding bleek te worden veroorzaakt omdat DRI in de kernel was gecompileerd (build-in). Nadat ik de kernel opnieuw gecompileerd had, maar nu zonder DRI, kon de fglrx module wel worden geladen. In /etc/XF86Config-4 heb ik in Section "Device" [code:1:ad51e58c7d] driver "fglrx" [/code:1:ad51e58c7d] en in Section "Screen" [code:1:ad51e58c7d] DefaultColorDepth 24 [/code:1:ad51e58c7d] De Ati driver werkt bij mij. En volgens /var/log/XFree86.0.log is Direct rendering enabled.
Link naar reactie
  • 0
[quote:d0674d0e91="jolo"]Ik heb hier inmiddels de test voltooid, met de ati driver fglrx-glc22-4.3.0-3.7.0.i386.rpm en kernel 2.6.3 in Debian (unstable) = Knoppix 3.3 CD van 16-2-2004 geïnstalleerd op harddisk. Kernel 2.6.3 op Nederlandse mirror van www.kernel.org gedownload, en gecompileerd. Dan het volgende [code:1:d0674d0e91] alien fglrx-glc22-4.3.0-3.7.0.i386.rpm [/code:1:d0674d0e91] en [code:1:d0674d0e91] dpkg -i --force-overwrite fglrx-glc22_4.3.0-4.7_i386.deb cd /lib/modules/fglrx/build_mod ./make.sh cd .. ./make_install.sh [/code:1:d0674d0e91] [/quote:d0674d0e91] Ik kwam al niet voorbij ./make.sh. Als je idd zelf je kernel compileert dan werkt ie wel gewoon. Probleem is dus opgelost :) Inmiddels ook Fedora draaien en daar ging ie in één keer perfect, dus zonder rare sprongen.
Link naar reactie

Doe mee aan dit gesprek

Je kunt dit nu plaatsen en later registreren. Indien je reeds een account hebt, log dan nu in om het bericht te plaatsen met je account.

Gast
Antwoord op deze vraag...

×   Geplakt als verrijkte tekst.   Plak in plaats daarvan als platte tekst

  Er zijn maximaal 75 emoji toegestaan.

×   Je link werd automatisch ingevoegd.   Tonen als normale link

×   Je vorige inhoud werd hersteld.   Leeg de tekstverwerker

×   Je kunt afbeeldingen niet direct plakken. Upload of voeg afbeeldingen vanaf een URL in

×
×
  • Nieuwe aanmaken...